Index: tests/array-container/dimexpr-match-c.cfa
===================================================================
--- tests/array-container/dimexpr-match-c.cfa	(revision 0e8f4c619a11c6c4a29df0e3b6cdddc9851587a1)
+++ tests/array-container/dimexpr-match-c.cfa	(revision d3c3261dc7f6ed1842c8970639a8cbeab41dfab1)
@@ -16,4 +16,9 @@
 #include "dimexpr-match.hfa"     // test framework
 
+#ifdef TRY_WISH_1 // "unification as-if"
+forall( [N] )
+void zip( float (*a)[N], float (*b)[N] ) {}
+#endif
+
 DECLN_runTests {
 
@@ -21,5 +26,4 @@
     int mut7 = 7, mut42 = 42;
 
-    
     #define TRY_COMPAT( LV, RV )        \
     {                                   \
@@ -79,7 +83,4 @@
 
   #ifdef TRY_WISH_1 // "unification as-if"
-    forall( [N] )
-    void zip( float (*a)[N], float (*b)[N] ) {}
-
     #define TRY_COMPAT( LV, RV )        \
     {                                   \
@@ -93,6 +94,3 @@
 
   #endif
-
-
-
 }
